Package org.apache.jmeter.gui.util

# Class TextBoxDialoger.TextBoxDoubleClick

java.lang.Object
java.awt.event.MouseAdapter
org.apache.jmeter.gui.util.TextBoxDialoger.TextBoxDoubleClick

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

Enclosing class:
  TextBoxDialoger

public static class TextBoxDialoger.TextBoxDoubleClick extends MouseAdapter
Class to display a dialog box and cell's content when double click on a table's cell

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextBoxDoubleClick(JTable table)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `mouseClicked(MouseEvent e)`

  ### Methods inherited from class java.awt.event.MouseAdapter

  `mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TextBoxDoubleClick

    public TextBoxDoubleClick(JTable table)

- ## Method Details

  - ### mouseClicked

    public void mouseClicked(MouseEvent e)
    Specified by:
      `mouseClicked` in interface `MouseListener`
    Overrides:
      `mouseClicked` in class `MouseAdapter`